%define name    xine-vcdx
%define ver     1
%define pre	rc3
%define rel     0.%pre.4mdk
%define xineversion 1
%define fname %name-%version-%{pre}a
%define cdiover 0.65
%define vcdver 0.7.20
%define cddbver 0.9.4
%define build_vcd 0
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

Name: %{name}
Summary: VCD and SVCD Navigation plugin for xine
Version: %{ver}
Release: %{rel}
Group: Video
License: GPL
Url: http://savannah.nongnu.org/projects/libcdio/
Source: %{fname}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxine-devel >= %xineversion
%if %build_vcd
BuildRequires: libvcd-devel >= %vcdver
%endif
BuildRequires: libcddb-devel >= %cddbver
BuildRequires: libcdio-devel >= %cdiover
Requires: xine-plugins >= %xineversion
%if %build_vcd
Requires: libvcd >= %vcdver
%endif
Requires: libcdio >= %cdiover

%description
This is a xine Video CD plugin for the xine media player. Its aim is
to add the full complement of advanced VCD/SVCD features to xine:
playback control (PBC) including selections, still-frames and menus.

Along the way we picked also up an CD-DA plugin (Audio Compact Disc).

%prep
%setup -q -n %fname

%build
#gw the vcd plugin was merged into xine-lib, the cdda plugin not yet
%configure2_5x \
%if !%build_vcd
--without-vcd
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xine/plugins/1.0.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info vcd-plugin.info
%_install_info cdda-plugin.info

%preun
%_remove_install_info vcd-plugin.info
%_remove_install_info cdda-plugin.info

%files
%defattr(-,root,root)
%doc AUTHORS README TODO NEWS THANKS
%{_libdir}/xine/plugins/1.0.0/xineplug_inp_cdx.so
%if %build_vcd
%{_libdir}/xine/plugins/1.0.0/xineplug_inp_vcdx.so
%endif
%_infodir/vcd-plugin.info*
%_infodir/cdda-plugin.info*

%changelog
* Wed Feb  2 2005 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc3.4mdk
- rebuild for new libcdio

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc3.3mdk
- rebuild for new libcdio

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc3.2mdk
- new cdio

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc3.1mdk
- remove the vcd plugin
- 1.0rc3a

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc2.3mdk
- new version

* Tue Oct 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc2.3gpw
- require new xine-plugins with merged vcdx plugin
- don't package vcd plugin

* Tue Oct 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc2.2mdk
- fix typo on the description

* Tue Oct 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc2.1mdk
- new version

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc1.1mdk
- add new info page
- require the new library versions
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.2mdk
- requires new libvcd
- requires new cdio library
- new version rc0a

* Mon Aug 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc0.1mdk
- requires new vcdimager
- new version

* Wed Jun 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.2mdk
- change the release tag

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12a.2mdk
- also requires latest libcddb

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12a.1mdk
- requires new cdio
- new version

* Sat May 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta12.1mdk
- add new files
- fix description
- buildrequires libvcd-devel
- new url
- new version

* Sat Mar 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta9.1mdk
- new version

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta4.1mdk
- new version

* Sun Jan 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.2mdk
- fix requires

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.1mdk
- new version for xine 1

* Wed Jan  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- fix URL and description (R. Bernstein <rocky@panix.com>)

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-2mdk
- fix requires and buildrequires

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- initial package


